﻿namespace 数据迁移
{
    using System;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity;
    using System.Linq;

    public class Model1 : DbContext
    {
        /// <summary>
        /// 默认的无参构造函数：会读取 Model1 这个数据库连接字符串，并且不存在解密的环节
        /// </summary>
        public Model1()
            : base("name=Model1")
        {
        }

        /// <summary>
        /// 自己额外添加的一个带参的构造函数，为解密提供了机会
        /// </summary>
        public Model1(string nameOrConnectionString)
            : base(nameOrConnectionString)
        {
        }

        /// <summary>
        /// 学生集合
        /// </summary>
        public virtual DbSet<Student> Student { get; set; }

        /// <summary>
        /// 学生视图集合
        /// </summary>
        public virtual DbSet<V_Student> V_Student { get; set; }
    }

    /// <summary>
    /// 学生实体类
    /// </summary>
    [Table("Student")]
    public class Student
    {
        public int Id { get; set; }
        public string Name { get; set; }

        /// <summary>
        /// 随便写个 ToString() 玩玩
        /// </summary>
        /// <returns></returns>
        public override string ToString()
        {
            return this.Name;
        }
    }

    /// <summary>
    /// 学生视图实体类
    /// </summary>
    [Table("V_Student")]
    public class V_Student
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public string First_Name { get; set; }

        /// <summary>
        /// 随便写个 ToString() 玩玩
        /// </summary>
        /// <returns></returns>
        public override string ToString()
        {
            return this.First_Name;
        }
    }
}