﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace 数据迁移
{
    /// <summary>
    /// 本文章/本示例，由【湖南长沙华瑞IT教育-周游老师】提供
    /// QQ:191458000 加好友验证消息：来自博客园
    /// </summary>
    class Program
    {
        /// <summary>
        /// 由于 Code First 的数据迁移功能，重在【操作过程】，而不是【代码】
        /// 所以此示例程序就随便看看吧，最主要还是看我博客园的文章：
        /// http://www.cnblogs.com/zhouyou96/p/7284403.html
        /// 
        /// 数据迁移，最重要是要掌握三个命令：
        /// 1) 在项目中启用数据迁移    Enable-Migrations
        /// 2) 创建迁移版本           Add-Migration 版本名称
        /// 3) 更新数据库             Update-Database
        /// </summary>
        /// <param name="args"></param>
        static void Main(string[] args)
        {
            //读取加了密的数据库连接字符串
            string conn = System.Configuration.ConfigurationManager.ConnectionStrings["conn"].ConnectionString;
            //解密
            conn = Encoding.UTF8.GetString(Convert.FromBase64String(conn));
            //输出解密之后的数据库连接字符串给大家看看
            Console.WriteLine(conn);

            //使用 EF 操作数据库
            using (var db = new Model1(conn))
            {
                //创建示例数据
                CreateDemoData(db);

                //随便访问一下 Student 表，看看有没有问题
                var x = db.Student.Find(1);
                Console.WriteLine(x);

                //随便访问一下 V_Student 视图，看看有没有问题
                var v = db.V_Student.Find(1);
                Console.WriteLine(v);
            }
        }

        //创建一些数据
        static void CreateDemoData(Model1 db)
        {
            if (db.Student.Find(1) != null) return;
            db.Student.Add(new Student() { Name = "张三" });
            db.SaveChanges();
        }
    }
}
